## org.eclipse.datatools.sqltools.parsers.sql.xml.query
Class SQLXMLQueryParserFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserFactory
          org.eclipse.datatools.sqltools.parsers.sql.xml.query.SQLXMLQueryParserFactory

All Implemented Interfaces:
  SQLQueryParserFactoryDataTypes, SQLParserFactory

    public class SQLXMLQueryParserFactory

extends SQLQueryParserFactory

Field Summary
`java.lang.String` `XML` String constant for XML
`static int` `XML_CONTENT_OPTION_ABSENT_ON_NULL` int constant for `XMLNullHandlingType.ABSENT_ON_NULL`
`static int` `XML_CONTENT_OPTION_EMPTY_ON_NULL` int constant for `XMLNullHandlingType.EMPTY_ON_NULL`
`static int` `XML_CONTENT_OPTION_NIL_ON_NO_CONTENT` int constant for `XMLNullHandlingType.NIL_ON_NO_CONTENT`
`static int` `XML_CONTENT_OPTION_NIL_ON_NULL` int constant for `XMLNullHandlingType.NIL_ON_NULL`
`static int` `XML_CONTENT_OPTION_NONE` int constant for `XMLNullHandlingType.NONE`
`static int` `XML_CONTENT_OPTION_NULL_ON_NULL` int constant for `XMLNullHandlingType.NULL_ON_NULL`
`static int` `XML_CONTENT_TYPE_CONTENT` int constant for `XXMLConentType#CONTENT`
`static int` `XML_CONTENT_TYPE_DOCUMENT` int constant for `XMLConentType#DOCUMENT`
`static int` `XML_CONTENT_TYPE_NONE` int constant for `XMLConentType#NONE`
`static int` `XML_CONTENT_TYPE2_CONTENT` int constant for `XXMLConentType2#CONTENT`
`static int` `XML_CONTENT_TYPE2_DOCUMENT` int constant for `XMLConentType2#DOCUMENT`
`static int` `XML_CONTENT_TYPE2_NONE` int constant for `XMLConentType2#NONE`
`static int` `XML_CONTENT_TYPE2_SEQUENCE` int constant for `XMLConentType2#SEQUENCE`
`static int` `XML_DECLARATION_TYPE_EXCLUDING` int constant for `XMLDeclarationType.EXCLUDING_XMLDECLARATION`
`static int` `XML_DECLARATION_TYPE_INCLUDING` int constant for `XMLDeclarationType.INCLUDING_XMLDECLARATION`
`static int` `XML_DECLARATION_TYPE_NONE` int constant for `XMLDeclarationType.NONE`
`static int` `XML_EMPTYHANDLINGTYPE_EMPTY_ON_EMPTY` int constant for `XMLEmptyHandlingType.EMPTY_ON_EMPTY`
`static int` `XML_EMPTYHANDLINGTYPE_NONE` int constant for `XMLEmptyHandlingType.NONE`
`static int` `XML_EMPTYHANDLINGTYPE_NULL_ON_EMPTY` int constant for `XMLEmptyHandlingType.NULL_ON_EMPTY`
`static int` `XML_PASSING_TYPE_NONE` int constant for `XMLPassingType.NONE`
`static int` `XML_PASSING_TYPE_REF` int constant for `XMLPassingType#REF`
`static int` `XML_PASSING_TYPE_VALUE` int constant for `XMLPassingType#VALUE`
`static int` `XML_RETURNING_TYPE_CONTENT` int constant for `XMLReturningType.RETURNING_CONTENT`
`static int` `XML_RETURNING_TYPE_NONE` int constant for `XMLReturningType#RETURNING_NONE`
`static int` `XML_RETURNING_TYPE_SEQUENCE` int constant for `XMLReturningType.RETURNING_SEQUENCE`
`static int` `XML_WHITESPACE_NONE` int constant for `XMLWhitespaceHandlingType.NONE`
`static int` `XML_WHITESPACE_PRESERVE` int constant for `XMLWhitespaceHandlingType.PRESERE_WHITESPACE`
`static int` `XML_WHITESPACE_STRIP` int constant for `XMLWhitespaceHandlingType.STRIP_WHITESPACE`

Fields inherited from class org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserFactory

`ALL, COMBINED_OPERATOR_ADD, COMBINED_OPERATOR_AND, COMBINED_OPERATOR_CONCATENATE, COMBINED_OPERATOR_DIVIDE, COMBINED_OPERATOR_MULTIPLY, COMBINED_OPERATOR_OR, COMBINED_OPERATOR_SUBTRACT, COMPARISON_OPERATOR_EQ, COMPARISON_OPERATOR_GE, COMPARISON_OPERATOR_GT, COMPARISON_OPERATOR_LE, COMPARISON_OPERATOR_LT, COMPARISON_OPERATOR_NE, DISTINCT, DURATION_TYPE_DAYS, DURATION_TYPE_HOURS, DURATION_TYPE_MICROSECONDS, DURATION_TYPE_MINUTES, DURATION_TYPE_MONTHS, DURATION_TYPE_SECONDS, DURATION_TYPE_YEARS, JOIN_DEFAULT_INNER, JOIN_EXPLICIT_INNER, JOIN_FULL_OUTER, JOIN_LEFT_OUTER, JOIN_RIGHT_OUTER, NULL_ORDERING_TYPE_NONE, NULL_ORDERING_TYPE_NULLS_FIRST, NULL_ORDERING_TYPE_NULLS_LAST, ORDER_ASC, ORDER_DESC, ORDERING_SPEC_TYPE_ASC, ORDERING_SPEC_TYPE_DESC, ORDERING_SPEC_TYPE_NONE, QUANTIFIER_ALL, QUANTIFIER_ANY, QUANTIFIER_SOME, QUERY_COMBINED_EXCEPT, QUERY_COMBINED_EXCEPT_ALL, QUERY_COMBINED_INTERSECT, QUERY_COMBINED_INTERSECT_ALL, QUERY_COMBINED_UNION, QUERY_COMBINED_UNION_ALL, SPECIAL_REGISTER_CURRENT_DATE, SPECIAL_REGISTER_CURRENT_DEFAULT_TRANSFORM_GROUP, SPECIAL_REGISTER_CURRENT_PATH, SPECIAL_REGISTER_CURRENT_ROLE, SPECIAL_REGISTER_CURRENT_TIME, SPECIAL_REGISTER_CURRENT_TIMESTAMP, SPECIAL_REGISTER_CURRENT_TRANSFORM_GROUP_FOR_TYPE, SPECIAL_REGISTER_CURRENT_USER, SPECIAL_REGISTER_LOCALTIME, SPECIAL_REGISTER_LOCALTIMESTAMP, SPECIAL_REGISTER_SESSION_USER, SPECIAL_REGISTER_SYSTEM_USER, SPECIAL_REGISTER_USER, SPECIAL_REGISTER_VALUE, SUPERGROUP_TYPE_CUBE, SUPERGROUP_TYPE_GRANDTOTAL, SUPERGROUP_TYPE_ROLLUP, UNARY_OPERATOR_MINUS, UNARY_OPERATOR_PLUS, UPDATABILITY_TYPE_FOR_READ_ONLY, UPDATABILITY_TYPE_FOR_UPDATE`

Fields inherited from interface org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserFactoryDataTypes

`PRIMITIVE_TYPE_BIGINT, PRIMITIVE_TYPE_BINARY, PRIMITIVE_TYPE_BINARY_LARGE_OBJECT, PRIMITIVE_TYPE_BINARY_VARYING, PRIMITIVE_TYPE_BOOLEAN, PRIMITIVE_TYPE_CHARACTER, PRIMITIVE_TYPE_CHARACTER_LARGE_OBJECT, PRIMITIVE_TYPE_CHARACTER_VARYING, PRIMITIVE_TYPE_DATALINK, PRIMITIVE_TYPE_DATE, PRIMITIVE_TYPE_DECIMAL, PRIMITIVE_TYPE_DOUBLE_PRECISION, PRIMITIVE_TYPE_FLOAT, PRIMITIVE_TYPE_INTEGER, PRIMITIVE_TYPE_INTERVAL, PRIMITIVE_TYPE_NATIONAL_CHARACTER, PRIMITIVE_TYPE_NATIONAL_CHARACTER_LARGE_OBJECT, PRIMITIVE_TYPE_NATIONAL_CHARACTER_VARYING, PRIMITIVE_TYPE_NUMERIC, PRIMITIVE_TYPE_REAL, PRIMITIVE_TYPE_SMALLINT, PRIMITIVE_TYPE_TIME, PRIMITIVE_TYPE_TIMESTAMP, UNIT_INDICATOR_G, UNIT_INDICATOR_K, UNIT_INDICATOR_M`

Constructor Summary
`SQLXMLQueryParserFactory()`
`SQLXMLQueryParserFactory(SQLQuerySourceFormat aSourceFormat)`

Method Summary
`XMLDataType` `createDataTypeXML()`
`XMLAggregateFunction` `createXMLAggregateFunction(java.lang.String aName, QueryValueExpression aExpr, java.util.List aOrderByClause, int aType)`
`XMLAttributeDeclarationItem` `createXMLAttributeDeclaraionItem(QueryValueExpression expr, java.lang.String name)`
`java.util.List` `createXMLAttributeDeclaraionItemList(java.util.List list, XMLAttributeDeclarationItem item)`
`XMLAttributesDeclaration` `createXMLAttributesDeclaration(java.util.List attributeItemList)`
`XMLNamespacesDeclaration` `createXMLNamespaceDeclaration(java.util.List nameSpaceDeclList)`
`XMLNamespaceDeclarationDefault` `createXMLNamespaceDeclarationDefault(java.lang.String aURI, boolean isNoDefault)`
`XMLNamespaceDeclarationPrefix` `createXMLNamespaceDeclarationPrefix(java.lang.String aURI, java.lang.String aPrefix)`
`java.util.List` `createXMLNamespacesDeclarationItemList(java.util.List aNamespaceList, XMLNamespaceDeclarationItem item)`
`XMLPredicateExists` `createXMLPredicateExists(java.lang.String name, XMLQueryExpression queryExpr, XMLQueryArgumentList argList)`
`XMLQueryArgumentItem` `createXMLQueryArgumentItem(QueryValueExpression expr, java.lang.String variableName, int passingMechanism)`
`java.util.List` `createXMLQueryArgumentItemList(java.util.List itemList, XMLQueryArgumentItem item)`
`XMLQueryArgumentList` `createXMLQueryArgumentList(int passingMechanism, java.util.List argListChildren)`
`XMLQueryExpression` `createXMLQueryExpression(java.lang.String exprContent)`
`XMLSerializeFunction` `createXMLSerializeFunction(java.lang.String aName, int aContentOption, QueryValueExpression aValueExpr, DataType aDataType, java.lang.String aEncodingSpec, java.lang.String aVersion, int aDeclOption)`
`java.util.List` `createXMLTableColumnDefinitionList(java.util.List columnDefList, XMLTableColumnDefinitionItem columnDef)`
`XMLTableColumnDefinitionOrdinality` `createXMLTableColumnDefinitionOrdinality(java.lang.String columnName)`
`XMLTableColumnDefinitionRegular` `createXMLTableColumnDefinitionRegular(java.lang.String columnName, DataType dataType, int passingOption, QueryValueExpression defaultOption, java.lang.String columnPattern)`
`XMLTableFunction` `createXMLTableFunction(java.lang.String name, XMLNamespacesDeclaration namespaceDecl, java.lang.String tableRowPattern, XMLQueryArgumentList queryArgList, java.util.List tableColumnList)`
`XMLValueExpressionCast` `createXMLValueExpressionCast(QueryValueExpression operandExpression, DataType targetType, int passingtype)`
`XMLValueFunctionElementContentList` `createXMLValueFucnctionElementContentList(java.util.List contentList, int nullOption)`
`XMLValueFunctionElement` `createXMLValueFucntionElement(java.lang.String afunctionName, java.lang.String aElementName, XMLNamespacesDeclaration namespaceDecl, XMLAttributesDeclaration aAttributesDeclaration, XMLValueFunctionElementContentList aContent, int aReturningOption)`
`XMLValueFunctionComment` `createXMLValueFunctionComment(java.lang.String name, QueryValueExpression expr, int returningOption)`
`XMLValueFunctionConcat` `createXMLValueFunctionConcat(java.lang.String name, java.util.List concatContentList, int returningOption)`
`java.util.List` `createXMLValueFunctionConcatItemList(java.util.List concatItemList, QueryValueExpression expr)`
`XMLValueFunctionDocument` `createXMLValueFunctionDocument(java.lang.String name, QueryValueExpression expr, int returningOption)`
`java.util.List` `createXMLValueFunctionElementContentItemList(java.util.List aContentList, QueryValueExpression aContentExpr)`
`XMLValueFunctionForest` `createXMLValueFunctionForest(java.lang.String functionName, XMLNamespacesDeclaration namespaceDecl, java.util.List forestContentList, int nullOption, int returningOption)`
`XMLValueFunctionForestContentItem` `createXMLValueFunctionForestContentItem(QueryValueExpression valueExpr, java.lang.String name)`
`java.util.List` `createXMLValueFunctionForestContentItemList(java.util.List contentList, XMLValueFunctionForestContentItem content)`
`XMLValueFunctionParse` `createXMLValueFunctionParse(java.lang.String aName, int aContentOption, QueryValueExpression aValueExpr, int aWhitespaceOption)`
`XMLValueFunctionPI` `createXMLValueFunctionPI(java.lang.String name, java.lang.String piTarget, QueryValueExpression expr, int returningOption)`
`XMLValueFunctionQuery` `createXMLValueFunctionQuery(java.lang.String name, XMLQueryExpression queryExpression, XMLQueryArgumentList queryArgument, XMLValueFunctionQueryReturning returningOptions, int emptyOption)`
`XMLValueFunctionQueryReturning` `createXMLValueFunctionQueryReturning(int returningOption, int passingOption)`
`XMLValueFunctionText` `createXMLValueFunctionText(java.lang.String name, QueryValueExpression expr, int returningOption)`
`XMLValueFunctionValidate` `createXMLValueFunctionValidate(java.lang.String name, int contentOption, QueryValueExpression expr, XMLValueFunctionValidateAccordingTo validAccordingTo)`
`XMLValueFunctionValidateAccordingToIdentifier` `createXMLValueFunctionValidateAccordingToIdentifier(java.lang.String schemaName, java.lang.String registeredXMLSchemaName)`
`XMLValueFunctionValidateAccordingToURI` `createXMLValueFunctionValidateAccordingToURI(boolean isNamespace, java.lang.String targetNamespace, java.lang.String schemaLocation)`
`XMLValueFunctionValidateElement` `createXMLValueFunctionValidateElement(XMLValueFunctionValidateElementNamespace namespace, XMLValueFunctionValidateElementName name)`
`XMLValueFunctionValidateElementName` `createXMLValueFunctionValidateElementName(java.lang.String name)`
`XMLValueFunctionValidateElementNamespace` `createXMLValueFunctionValidateElementNamespace(boolean isNoNamespace, java.lang.String nameSpaceURI)`
`XMLValueFunctionValidateAccordingTo` `setElementContent(XMLValueFunctionValidateAccordingTo accordingTo, XMLValueFunctionValidateElement validateElement)`

Methods inherited from class org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserFactory

`addTableCorrelationToTableExpression, createCallStatement, createCaseElse, createCaseSearchContent, createCaseSearchExpression, createCaseSearchList, createCaseSimpleContent, createCaseSimpleExpression, createCaseSimpleList, createCastExpression, createCastExpression, createColumnExpression, createColumnExpression, createColumnExpression, createColumnList, createColumnName, createColumnNameList, createCombinedCondition, createCombinedExpression, createDataType, createDataTypeArray, createDataTypeArray, createDataTypeArray, createDataTypeBinaryString, createDataTypeBinaryString, createDataTypeBoolean, createDataTypeBoolean, createDataTypeCharacterString, createDataTypeCharacterString, createDataTypeDataLink, createDataTypeDataLink, createDataTypeDate, createDataTypeDate, createDataTypeDistinctUserDefinedType, createDataTypeInterval, createDataTypeInterval, createDataTypeMultiset, createDataTypeMultiset, createDataTypeNumericApproximate, createDataTypeNumericApproximate, createDataTypeNumericFixedPrecision, createDataTypeNumericFixedPrecision, createDataTypeNumericInteger, createDataTypeNumericInteger, createDataTypePredefinedDataType, createDataTypeTime, createDataTypeTime, createDataTypeUserDefinedType, createDefaultExpression, createDeleteStatement_deprecated, createDeleteStatement, createDistinctUserDefinedType, createExpressionList, createFromClause, createFunctionExpression, createGroupingExpression, createGroupingSets, createGroupingSetsElementExpression, createGroupingSetsElementExprList, createGroupingSetsElementList, createGroupingSetsElementSublist, createGroupingSpecificationList, createInsertRow, createInsertStatement, createInsertStatement, createInsertValuesRow, createInsertValuesRow, createJoinedTable, createLabeledDurationExpression, createMergeInsertSpecification, createMergeOnCondition, createMergeOperatationSpecificationList, createMergeSourceTable, createMergeStatement, createMergeTargetTable, createMergeUpdateSpecification, createNestedCondition, createNestedConditionNegated, createNestedExpression, createNestedTable, createNullExpression, createOrderByClause, createOrderByExpression, createOrderByExpression, createPredefinedDataType, createPredicateBasic, createPredicateBetween, createPredicateExists, createPredicateInValueList, createPredicateInValueRowSelect, createPredicateInValueSelect, createPredicateLike, createPredicateNull, createPredicateQuantifiedRowSelect, createPredicateQuantifiedValueSelect, createProcedureReference, createQueryCombined, createQueryCombined, createQueryExpressionRoot, createQueryNested, createQueryNested, createQuerySelect, createQuerySelect, createQueryValues, createQueryValues, createReferenceTable, createReferenceTable, createResultColumn, createResultTableAllColumns, createResultTableAllColumns, createScalarSelectExpression, createSchema, createSelectClause, createSelectStatement, createSelectStatement, createSelectStatement, createSimpleExpression, createSimpleTable, createSpecialRegisterExpression, createSpecialRegisterExpression, createSpecialRegisterExpression, createSuperGroups, createSuperGroupsElementExpression, createSuperGroupsElementExprList, createSuperGroupsElementList, createSuperGroupsElementSublist, createTableCorrelation, createTableCorrelation, createTableExpressionQuery, createTableExpressionQuery, createTableFunction, createUpdatabilityExpression, createUpdateAssignmentClause, createUpdateAssignmentExpression, createUpdateAssignmentExpression, createUpdateAssignmentExpression, createUpdateStatement, createUserDefinedTypeFromDomainName, createValueExpressionRow, createValuesRow, createValuesRow, createValuesRowList, createVariableExpression, createWithTableSpecification, createWithTableSpecificationList, getSQLSourceFormat, isColumnFunction, isDistinctColumnFunction, listConcat, listConcat, negateCondition, negatePredicate, setSQLSourceFormat, setUnaryOperator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_CONTENT_TYPE_CONTENT

    public static final int XML_CONTENT_TYPE_CONTENT

  int constant for `XXMLConentType#CONTENT`

  See Also:
    Constant Field Values

### XML_CONTENT_TYPE_DOCUMENT

    public static final int XML_CONTENT_TYPE_DOCUMENT

  int constant for `XMLConentType#DOCUMENT`

  See Also:
    Constant Field Values

### XML_CONTENT_TYPE_NONE

    public static final int XML_CONTENT_TYPE_NONE

  int constant for `XMLConentType#NONE`

  See Also:
    Constant Field Values

### XML_CONTENT_TYPE2_CONTENT

    public static final int XML_CONTENT_TYPE2_CONTENT

  int constant for `XXMLConentType2#CONTENT`

  See Also:
    Constant Field Values

### XML_CONTENT_TYPE2_DOCUMENT

    public static final int XML_CONTENT_TYPE2_DOCUMENT

  int constant for `XMLConentType2#DOCUMENT`

  See Also:
    Constant Field Values

### XML_CONTENT_TYPE2_NONE

    public static final int XML_CONTENT_TYPE2_NONE

  int constant for `XMLConentType2#NONE`

  See Also:
    Constant Field Values

### XML_CONTENT_TYPE2_SEQUENCE

    public static final int XML_CONTENT_TYPE2_SEQUENCE

  int constant for `XMLConentType2#SEQUENCE`

  See Also:
    Constant Field Values

### XML_CONTENT_OPTION_ABSENT_ON_NULL

    public static final int XML_CONTENT_OPTION_ABSENT_ON_NULL

  int constant for `XMLNullHandlingType.ABSENT_ON_NULL`

  See Also:
    Constant Field Values

### XML_CONTENT_OPTION_EMPTY_ON_NULL

    public static final int XML_CONTENT_OPTION_EMPTY_ON_NULL

  int constant for `XMLNullHandlingType.EMPTY_ON_NULL`

  See Also:
    Constant Field Values

### XML_CONTENT_OPTION_NIL_ON_NO_CONTENT

    public static final int XML_CONTENT_OPTION_NIL_ON_NO_CONTENT

  int constant for `XMLNullHandlingType.NIL_ON_NO_CONTENT`

  See Also:
    Constant Field Values

### XML_CONTENT_OPTION_NIL_ON_NULL

    public static final int XML_CONTENT_OPTION_NIL_ON_NULL

  int constant for `XMLNullHandlingType.NIL_ON_NULL`

  See Also:
    Constant Field Values

### XML_CONTENT_OPTION_NULL_ON_NULL

    public static final int XML_CONTENT_OPTION_NULL_ON_NULL

  int constant for `XMLNullHandlingType.NULL_ON_NULL`

  See Also:
    Constant Field Values

### XML_CONTENT_OPTION_NONE

    public static final int XML_CONTENT_OPTION_NONE

  int constant for `XMLNullHandlingType.NONE`

  See Also:
    Constant Field Values

### XML_DECLARATION_TYPE_EXCLUDING

    public static final int XML_DECLARATION_TYPE_EXCLUDING

  int constant for `XMLDeclarationType.EXCLUDING_XMLDECLARATION`

  See Also:
    Constant Field Values

### XML_DECLARATION_TYPE_INCLUDING

    public static final int XML_DECLARATION_TYPE_INCLUDING

  int constant for `XMLDeclarationType.INCLUDING_XMLDECLARATION`

  See Also:
    Constant Field Values

### XML_DECLARATION_TYPE_NONE

    public static final int XML_DECLARATION_TYPE_NONE

  int constant for `XMLDeclarationType.NONE`

  See Also:
    Constant Field Values

### XML_EMPTYHANDLINGTYPE_NULL_ON_EMPTY

    public static final int XML_EMPTYHANDLINGTYPE_NULL_ON_EMPTY

  int constant for `XMLEmptyHandlingType.NULL_ON_EMPTY`

  See Also:
    Constant Field Values

### XML_EMPTYHANDLINGTYPE_EMPTY_ON_EMPTY

    public static final int XML_EMPTYHANDLINGTYPE_EMPTY_ON_EMPTY

  int constant for `XMLEmptyHandlingType.EMPTY_ON_EMPTY`

  See Also:
    Constant Field Values

### XML_EMPTYHANDLINGTYPE_NONE

    public static final int XML_EMPTYHANDLINGTYPE_NONE

  int constant for `XMLEmptyHandlingType.NONE`

  See Also:
    Constant Field Values

### XML_PASSING_TYPE_NONE

    public static final int XML_PASSING_TYPE_NONE

  int constant for `XMLPassingType.NONE`

  See Also:
    Constant Field Values

### XML_PASSING_TYPE_REF

    public static final int XML_PASSING_TYPE_REF

  int constant for `XMLPassingType#REF`

  See Also:
    Constant Field Values

### XML_PASSING_TYPE_VALUE

    public static final int XML_PASSING_TYPE_VALUE

  int constant for `XMLPassingType#VALUE`

  See Also:
    Constant Field Values

### XML_RETURNING_TYPE_CONTENT

    public static final int XML_RETURNING_TYPE_CONTENT

  int constant for `XMLReturningType.RETURNING_CONTENT`

  See Also:
    Constant Field Values

### XML_RETURNING_TYPE_SEQUENCE

    public static final int XML_RETURNING_TYPE_SEQUENCE

  int constant for `XMLReturningType.RETURNING_SEQUENCE`

  See Also:
    Constant Field Values

### XML_RETURNING_TYPE_NONE

    public static final int XML_RETURNING_TYPE_NONE

  int constant for `XMLReturningType#RETURNING_NONE`

  See Also:
    Constant Field Values

### XML_WHITESPACE_PRESERVE

    public static final int XML_WHITESPACE_PRESERVE

  int constant for `XMLWhitespaceHandlingType.PRESERE_WHITESPACE`

  See Also:
    Constant Field Values

### XML_WHITESPACE_STRIP

    public static final int XML_WHITESPACE_STRIP

  int constant for `XMLWhitespaceHandlingType.STRIP_WHITESPACE`

  See Also:
    Constant Field Values

### XML_WHITESPACE_NONE

    public static final int XML_WHITESPACE_NONE

  int constant for `XMLWhitespaceHandlingType.NONE`

  See Also:
    Constant Field Values

### XML

    public final java.lang.String XML

  String constant for XML

  See Also:
    Constant Field Values

Constructor Detail

### SQLXMLQueryParserFactory

    public SQLXMLQueryParserFactory()

### SQLXMLQueryParserFactory

    public SQLXMLQueryParserFactory(SQLQuerySourceFormat aSourceFormat)

Parameters:
  `aSourceFormat` -

Method Detail

### createDataTypeXML

    public XMLDataType createDataTypeXML()

  Returns:
    XMLDataType
  See Also:
    `SQLDataTypesFactory.createXMLDataType()`

### createXMLAggregateFunction

    public XMLAggregateFunction createXMLAggregateFunction(java.lang.String aName,
                                                           QueryValueExpression aExpr,
                                                           java.util.List aOrderByClause,
                                                           int aType)

### createXMLAttributesDeclaration

    public XMLAttributesDeclaration createXMLAttributesDeclaration(java.util.List attributeItemList)

### createXMLAttributeDeclaraionItemList

    public java.util.List createXMLAttributeDeclaraionItemList(java.util.List list,
                                                               XMLAttributeDeclarationItem item)

### createXMLAttributeDeclaraionItem

    public XMLAttributeDeclarationItem createXMLAttributeDeclaraionItem(QueryValueExpression expr,
                                                                        java.lang.String name)

### createXMLNamespaceDeclaration

    public XMLNamespacesDeclaration createXMLNamespaceDeclaration(java.util.List nameSpaceDeclList)

### createXMLNamespaceDeclarationDefault

    public XMLNamespaceDeclarationDefault createXMLNamespaceDeclarationDefault(java.lang.String aURI,
                                                                               boolean isNoDefault)

### createXMLNamespaceDeclarationPrefix

    public XMLNamespaceDeclarationPrefix createXMLNamespaceDeclarationPrefix(java.lang.String aURI,
                                                                             java.lang.String aPrefix)

### createXMLNamespacesDeclarationItemList

    public java.util.List createXMLNamespacesDeclarationItemList(java.util.List aNamespaceList,
                                                                 XMLNamespaceDeclarationItem item)

### createXMLValueFunctionPI

    public XMLValueFunctionPI createXMLValueFunctionPI(java.lang.String name,
                                                       java.lang.String piTarget,
                                                       QueryValueExpression expr,
                                                       int returningOption)

### createXMLValueFunctionText

    public XMLValueFunctionText createXMLValueFunctionText(java.lang.String name,
                                                           QueryValueExpression expr,
                                                           int returningOption)

### createXMLPredicateExists

    public XMLPredicateExists createXMLPredicateExists(java.lang.String name,
                                                       XMLQueryExpression queryExpr,
                                                       XMLQueryArgumentList argList)

### createXMLQueryArgumentList

    public XMLQueryArgumentList createXMLQueryArgumentList(int passingMechanism,
                                                           java.util.List argListChildren)

### createXMLQueryArgumentItem

    public XMLQueryArgumentItem createXMLQueryArgumentItem(QueryValueExpression expr,
                                                           java.lang.String variableName,
                                                           int passingMechanism)

### createXMLQueryArgumentItemList

    public java.util.List createXMLQueryArgumentItemList(java.util.List itemList,
                                                         XMLQueryArgumentItem item)

### createXMLQueryExpression

    public XMLQueryExpression createXMLQueryExpression(java.lang.String exprContent)

### createXMLTableColumnDefinitionList

    public java.util.List createXMLTableColumnDefinitionList(java.util.List columnDefList,
                                                             XMLTableColumnDefinitionItem columnDef)

### createXMLTableColumnDefinitionOrdinality

    public XMLTableColumnDefinitionOrdinality createXMLTableColumnDefinitionOrdinality(java.lang.String columnName)

### createXMLTableColumnDefinitionRegular

    public XMLTableColumnDefinitionRegular createXMLTableColumnDefinitionRegular(java.lang.String columnName,
                                                                                 DataType dataType,
                                                                                 int passingOption,
                                                                                 QueryValueExpression defaultOption,
                                                                                 java.lang.String columnPattern)

### createXMLTableFunction

    public XMLTableFunction createXMLTableFunction(java.lang.String name,
                                                   XMLNamespacesDeclaration namespaceDecl,
                                                   java.lang.String tableRowPattern,
                                                   XMLQueryArgumentList queryArgList,
                                                   java.util.List tableColumnList)

### createXMLValueExpressionCast

    public XMLValueExpressionCast createXMLValueExpressionCast(QueryValueExpression operandExpression,
                                                               DataType targetType,
                                                               int passingtype)

### createXMLValueFunctionComment

    public XMLValueFunctionComment createXMLValueFunctionComment(java.lang.String name,
                                                                 QueryValueExpression expr,
                                                                 int returningOption)

### createXMLValueFunctionElementContentItemList

    public java.util.List createXMLValueFunctionElementContentItemList(java.util.List aContentList,
                                                                       QueryValueExpression aContentExpr)

### createXMLValueFunctionConcat

    public XMLValueFunctionConcat createXMLValueFunctionConcat(java.lang.String name,
                                                               java.util.List concatContentList,
                                                               int returningOption)

### createXMLValueFunctionConcatItemList

    public java.util.List createXMLValueFunctionConcatItemList(java.util.List concatItemList,
                                                               QueryValueExpression expr)

### createXMLValueFunctionDocument

    public XMLValueFunctionDocument createXMLValueFunctionDocument(java.lang.String name,
                                                                   QueryValueExpression expr,
                                                                   int returningOption)

### createXMLValueFucnctionElementContentList

    public XMLValueFunctionElementContentList createXMLValueFucnctionElementContentList(java.util.List contentList,
                                                                                        int nullOption)

### createXMLValueFucntionElement

    public XMLValueFunctionElement createXMLValueFucntionElement(java.lang.String afunctionName,
                                                                 java.lang.String aElementName,
                                                                 XMLNamespacesDeclaration namespaceDecl,
                                                                 XMLAttributesDeclaration aAttributesDeclaration,
                                                                 XMLValueFunctionElementContentList aContent,
                                                                 int aReturningOption)

### createXMLValueFunctionForest

    public XMLValueFunctionForest createXMLValueFunctionForest(java.lang.String functionName,
                                                               XMLNamespacesDeclaration namespaceDecl,
                                                               java.util.List forestContentList,
                                                               int nullOption,
                                                               int returningOption)

### createXMLValueFunctionForestContentItem

    public XMLValueFunctionForestContentItem createXMLValueFunctionForestContentItem(QueryValueExpression valueExpr,
                                                                                     java.lang.String name)

### createXMLValueFunctionForestContentItemList

    public java.util.List createXMLValueFunctionForestContentItemList(java.util.List contentList,
                                                                      XMLValueFunctionForestContentItem content)

### createXMLValueFunctionParse

    public XMLValueFunctionParse createXMLValueFunctionParse(java.lang.String aName,
                                                             int aContentOption,
                                                             QueryValueExpression aValueExpr,
                                                             int aWhitespaceOption)

### createXMLValueFunctionQuery

    public XMLValueFunctionQuery createXMLValueFunctionQuery(java.lang.String name,
                                                             XMLQueryExpression queryExpression,
                                                             XMLQueryArgumentList queryArgument,
                                                             XMLValueFunctionQueryReturning returningOptions,
                                                             int emptyOption)

### createXMLValueFunctionQueryReturning

    public XMLValueFunctionQueryReturning createXMLValueFunctionQueryReturning(int returningOption,
                                                                               int passingOption)

### createXMLValueFunctionValidate

    public XMLValueFunctionValidate createXMLValueFunctionValidate(java.lang.String name,
                                                                   int contentOption,
                                                                   QueryValueExpression expr,
                                                                   XMLValueFunctionValidateAccordingTo validAccordingTo)

### createXMLValueFunctionValidateAccordingToIdentifier

    public XMLValueFunctionValidateAccordingToIdentifier createXMLValueFunctionValidateAccordingToIdentifier(java.lang.String schemaName,
                                                                                                             java.lang.String registeredXMLSchemaName)

### setElementContent

    public XMLValueFunctionValidateAccordingTo setElementContent(XMLValueFunctionValidateAccordingTo accordingTo,
                                                                 XMLValueFunctionValidateElement validateElement)

### createXMLValueFunctionValidateAccordingToURI

    public XMLValueFunctionValidateAccordingToURI createXMLValueFunctionValidateAccordingToURI(boolean isNamespace,
                                                                                               java.lang.String targetNamespace,
                                                                                               java.lang.String schemaLocation)

### createXMLValueFunctionValidateElement

    public XMLValueFunctionValidateElement createXMLValueFunctionValidateElement(XMLValueFunctionValidateElementNamespace namespace,
                                                                                 XMLValueFunctionValidateElementName name)

### createXMLValueFunctionValidateElementName

    public XMLValueFunctionValidateElementName createXMLValueFunctionValidateElementName(java.lang.String name)

### createXMLValueFunctionValidateElementNamespace

    public XMLValueFunctionValidateElementNamespace createXMLValueFunctionValidateElementNamespace(boolean isNoNamespace,
                                                                                                   java.lang.String nameSpaceURI)

### createXMLSerializeFunction

    public XMLSerializeFunction createXMLSerializeFunction(java.lang.String aName,
                                                           int aContentOption,
                                                           QueryValueExpression aValueExpr,
                                                           DataType aDataType,
                                                           java.lang.String aEncodingSpec,
                                                           java.lang.String aVersion,
                                                           int aDeclOption)